#!/bin/sh
# configversion: 0353c96f77be6c195e9b8814327895c8
# SPDX-License-Identifier: AGPL-3.0-only
# Copyright 2022 Sxmo Contributors

# we disable shellcheck SC2034 (variable not used)
# for all the variables we define here
# shellcheck disable=SC2034

# Use emojis for icons. Origin:
# https://git.sr.ht/~earboxer/dotfiles/blob/master/.config/sxmo/hooks/sxmo_hook_icons.sh

icon_a2x="⇄"
icon_a2y="⇅"
icon_ac1="↖"
icon_ac2="↗"
icon_ac3="↘"
icon_ac4="↙"
icon_and="🤖"
icon_ard="↓"
icon_arl="←"
icon_arr="→"
icon_aru="↑"
icon_att="📎"
icon_audio="♫"
icon_bel="🔔"
icon_bok="📖"
icon_brightness="🔆"
icon_bth="🦷" # bluetooth
icon_cal="📅"
icon_cam="📷"
icon_cfg="⚙️" #⚙" #configuration cog
icon_chk="✔️" #✔"
icon_chs="♜" #chess
icon_clc="🔢" #🖩"
icon_clk="🕓" #clock
icon_cls="❎" #×" #close
icon_com="💻 # (Laptop) Computer (💻)
icon_cpy="✂️"
icon_del="🗑️"
icon_dir="📁"
icon_dof="⚪"
icon_don="🔘" #⚫"
icon_dop="🔘" # enabled
icon_dot="🔍" # searching, connecting, etc.
icon_drw="📝" # Drawing tablet
icon_ear="👂"
icon_edt="📝" #🖉" # looks different than sxmo version
icon_eml="📧"
icon_exp="📈" #expand
icon_fbw="⏪"
icon_ffw="⏩"
icon_ffx="🌐" #deprecated
icon_fil="📄"
icon_flk="🦅" #falkon
icon_fll="🔦"
icon_flt="🪠" #filter/pipe/plumbing
icon_fnd="" #search/find
icon_gam="🎮" # gaming controller (🎮)
icon_glb="🌐"
icon_gps="🛰️"
icon_grd="📲" #japanese application
icon_grp="👥"
icon_hdp="🎧"
icon_hom="🏠"
icon_img="🖼️" #🖼" #image
icon_inf="ℹ️"
icon_itm="✴️"
icon_kbd="⌨️" #keyboard
icon_key="🔑"
icon_lck="🔒"
icon_lnk="🔗"
icon_lst="🚦" #list
icon_map="🗺"
icon_mdd="📴" # modem disabled state
icon_mic="🎙️" #🎙"
icon_mmc="❌"
icon_mnu="🗃️"
icon_mod="📱" # modem
icon_mov="📦" # moving box?
icon_mse="🖱" # computer mouse (🖱️)
icon_msg="💬" #🗩"#🗨️🗨💬
icon_mus="🎵" #music
icon_mut="🔇" #mute
icon_mvi="📀" #movie dvd
icon_net="📶"
icon_nto="🚫" #no touch
icon_nxt="⏭️" #⮊"
icon_out="🚪"
icon_pau="⏸️"
icon_phl="📝"
icon_phn="📞" #phone
icon_phx="☎️"
icon_plk="🔒" # phone locked
icon_pls="➕"
icon_prn="🖶" # printer (🖨️)
icon_prv="⏮️" #⮈
icon_pst="📋"
icon_pwr="🔌"
icon_red="📰" #deprecated
icon_ret="🔙" #⏎"
icon_rld="🔄"
icon_rol="↪️"
icon_ror="↩️"
icon_rss="📰" #News
icon_sav="💾"
icon_sfl="🔀"
icon_shr="🤷" #shrink
icon_snd="✈️" #send
icon_spk="🔊"
icon_spl="🔈"
icon_spm="🔉"
icon_stp="⏹️"
icon_str="⭐" #★" #star
icon_tab="🗃️" #has tabs
icon_tgm='➹' #telegram
icon_tmr="⏰"
icon_tof="☐"
icon_ton="☑"
icon_trh="🗑️" # trash
icon_trm="🖥️"
icon_upc="🔼"
icon_usb="🚏" # bus junction
icon_usr="👤"
icon_vid="📹"
icon_vim="$icon_edt" #deprecated
icon_wif="📡"
icon_wfo="⏹" # wifi off
icon_wfh="🛜" # wifi hotspot
icon_win="🪟"
icon_wat="⌚" # watch (⌚)
icon_wn2="🎈"
icon_wrh="🔧"
icon_wtr="⛅" #🌥"
icon_ytb="$icon_vid" #deprecated
icon_zmi="🔍" #Right-handed magnifying glass zooms in.
icon_zmo="🔎"
icon_zzz="🌜"

# modem states

icon_modem_nomodem="N" # cell with x
icon_modem_locked="L" # cell with lock
icon_modem_initializing="I" # cell with gear
icon_modem_disabled="D" # cell with slash
icon_modem_disabling="$icon_arr$icon_modem_disabled" # -> disabled
icon_modem_enabled="E" # cell with check
icon_modem_enabling="$icon_arr$icon_modem_enabled" # -> enabled
icon_modem_registered="R" # cell with wifi with slash
icon_modem_searching="$icon_arr$icon_modem_registered" # -> registered
icon_modem_connected="C" # cell with wifi
icon_modem_connecting="$icon_aru$icon_modem_connected" # up arrow connected
icon_modem_disconnecting="$icon_ard$icon_modem_connected" # down arrow connected
icon_modem_failed="F" # cell with !

# modem techs
icon_modem_fiveg="5g" # 5gnr
icon_modem_fourg="4g" # lte
icon_modem_threeg="3g" # a lot (see sxmo_hook_statusbar.sh)
icon_modem_hspa="H" # hspa
icon_modem_hspa_plus="H+" # hspa plus
icon_modem_twog="2g" # edge, pots, gsm, gprs, etc.
icon_modem_notech="0g" # disabled cell bars

# modem signal strengths
icon_modem_signal_0="0"
icon_modem_signal_1="1"
icon_modem_signal_2="2"
icon_modem_signal_3="3"

# wifi signal strengths
icon_wifi_signal_exclam="!"
icon_wifi_key_signal_0="k0"
icon_wifi_signal_0="0"
icon_wifi_key_signal_1="k1"
icon_wifi_signal_1="1"
icon_wifi_key_signal_2="k2"
icon_wifi_signal_2="2"
icon_wifi_key_signal_3="k3"
icon_wifi_signal_3="3"
icon_wifi_key_signal_4="k4"
icon_wifi_signal_4="4"
icon_wifi_disconnected="d"

# battery indicators
icon_bat_c_0="c0"
icon_bat_c_1="c1"
icon_bat_c_2="c2"
icon_bat_c_3="c3"
icon_bat_0="0"
icon_bat_1="1"
icon_bat_2="2"
icon_bat_3="3"

# sxmo state indicators
icon_state_proximity="P"
icon_state_screenoff="S"
icon_state_lock="L"
icon_state_unlock="U"
